Name:           scummvm
Version:        0.11.1
Release:        2%{?dist}
Summary:        Interpreter for several adventure games
Group:          Applications/Emulators
License:        GPLv2+
URL:            http://scummvm.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
#######         Icons extracted from icons/scummvm.ico with the gimp
Source1:        scummvm-icons.tar.gz
Patch0:         scummvm-0.11.0-nostrip.patch
Patch1:         scummvm-0.9.1-no-execstack.patch
Patch2:         scummvm-0.11.1-lure-sound-bug-fixes.patch
Patch3:         scummvm-0.11.1-lure-volume-fixes.patch
Patch4:         scummvm-0.11.1-lure-sound-channel-alloc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL-devel libvorbis-devel flac-devel zlib-devel
BuildRequires:  fluidsynth-devel desktop-file-utils
%ifarch %{ix86}
BuildRequires:  nasm
%endif
Requires:       hicolor-icon-theme

%description
ScummVM is an implementation of the SCUMM (Script Creation Utility for
Maniac Mansion) engine used in various Lucas Arts games such as Monkey
Island and Day of the Tentacle. At this time ScummVM should be considered
ALPHA software, as it's still under heavy development. Be aware that while
many games will work with few major bugs, crashes can happen. Also note
that saved games can, and probably will, be incompatible between releases.

Also ScummVM is capable of playing several non-SCUMM games.


%prep
%setup -q -a 1
%patch0 -p1 -b .nostrip
%patch1 -p1 -b .execstack
%patch2 -p1
%patch3 -p1
%patch4 -p1
sed -i 's/%{name}.xpm/%{name}.png/' dists/%{name}.desktop
sed -i 's/Application;Game;AdventureGame;/Game;Emulator;/' \
  dists/%{name}.desktop


%build
# No rpm configure because scummvm's configure isn't a real configure and thus
# doesn't understand some of the options %%configure passes. This includes
# -libdir, so rpmlint's complaints should be ignored.
# The disables are so that these don't accidently get build in when rebuilding
# on a system with the necesarry deps installed
./configure --prefix=%{_prefix} --bindir=%{_bindir} --mandir=%{_mandir} \
  --datadir=%{_datadir} --disable-mpeg2 --disable-mad
make %{?_smp_mflags} CXXFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -D -p -m 0644 gui/themes/modern.ini \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/modern.ini
install -D -p -m 0644 gui/themes/modern.zip \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/modern.zip
# Remove doc files we want to include with %%doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  dists/%{name}.desktop

install -D -p -m 0644 %{name}-16x16.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -D -p -m 0644 %{name}-32x32.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -D -p -m 0644 %{name}-48x48.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -D -p -m 0644 %{name}-128x128.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
rm $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.xpm


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Sat Mar  8 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.11.1-2
- Various bugfixes to lure sound support
- Enable libfluidsynth support 

* Sat Mar  1 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.11.1-1
- New upstream version 0.11.1

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.11.0-2
- Autorebuild for GCC 4.3

* Wed Jan 16 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.11.0-1
- New upstream version 0.11.0
- Drop no longer needed gcc 4.3 patch

* Sat Jan 12 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.10.0-3
- Fix compilation with gcc 4.3

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.10.0-2
- Update License tag for new Licensing Guidelines compliance

* Thu Jun 21 2007 Matthias Saou <http://freshrpms.net/> 0.10.0-1
- Update to 0.10.0, since Hans is away for a few days ;-)
- Install icons the same way as the theme, and preserve timestamps.
- Use a downloads.sf.net source URL.
- Remove two no longer needed patches (gcc41 and new-flac).

* Thu Feb 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.1-3
- Take patches from svn for new flac support and rebuild for new flac
- Fix (remove) execstack usage

* Sat Nov 11 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.1-2
- Fix desktop-file so that scummvm doesn't end up in the "Other" menu under
  gnome (bug 215097)

* Sat Nov  4 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.1-1
- New upstream release 0.9.1
- Prepare for inclusion into FE
- Remove mp3 support (the same files are also available in ogg format)
- Remove mpeg2 video support (problem, but only for one game I will
  request upstream to add theora support)

* Sun Oct 29 2006 Matthias Saou <http://freshrpms.net/> 0.9.0-1
- Update to 0.9.0.
- Spec file cleanup.
- Add datadir patch from upstream in order to include themes.

* Thu Mar 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- switch to new release field
- drop Epoch

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Mon Feb 06 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.8.2-0.lvn.1
- version upgrade

* Mon Jan 30 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.8.1-0.lvn.1
- version upgrade

* Thu Dec 08 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.8.0-0.lvn.2
- fix #693 (desktop entry)
- beautify desktop-file-install

* Sat Oct 29 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.8.0-0.lvn.1
- version upgrade

* Mon Jun 20 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.7.1-0.lvn.3
- add --disable--mt32emu switch to fix build with gcc4

* Mon May 30 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.7.1-0.lvn.2
- fix x86_64 build

* Thu Mar 31 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.7.1-0.lvn.1
- Version Upgrade

* Tue Feb 22 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.7.0-0.lvn.3
- add nasm <-> x86_64

* Tue Feb 22 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.7.0-0.lvn.2
- fixed #371 (bild on non ix86 - David Woodhouse)

* Fri Dec 24 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.7.0-0.lvn.1
- added AUTHORS and TODO

* Thu Dec 23 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- added off. 0.7.0 sources

* Sun Dec 19 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- upgrade to 0.7.0 cvs (20041219), prep. for 0.7.0
- added more BuildRequires
- if without-alsa is defined actually disable alsa via configure

* Thu Nov 25 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.6.1b-0.lvn.1
-upgrade to 0.6.1b

* Thu May 27 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.6.0-0.lvn.1
- upgrade to 0.6.0

* Thu Oct 02 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.5.1-0.fdr.6
- removed #--- lines

* Tue Sep 16 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.5.1-0.fdr.5
- added ${RPM_OPT_FLAGS}

* Mon Sep 08 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.5.1-0.fdr.4
- added libvorbis-devel

* Tue Sep 02 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.5.1-0.fdr.3
- upgrade to new minor version

* Wed Aug 06 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.5.0-0.fdr.2
- upgrade to new major version

* Fri Aug 01 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.4.1-0.fdr.1
- Initial RPM release.
